"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var KnownHeadphone = /** @class */ (function () {
    function KnownHeadphone(name, productId, batteryPercentIdx, writeBytes, chargingStatusIdx, micStatusIdx, path, vendorId) {
        if (vendorId === void 0) { vendorId = KnownHeadphone.ArctisVendorID; }
        this.name = name;
        this.productId = productId;
        this.batteryPercentIdx = batteryPercentIdx;
        this.writeBytes = writeBytes;
        this.chargingStatusIdx = chargingStatusIdx;
        this.micStatusIdx = micStatusIdx;
        this.path = path;
        this.vendorId = vendorId;
    }
    KnownHeadphone.ArctisVendorID = 4152;
    KnownHeadphone.Arctis7_2019_ProductID = 0x12ad;
    KnownHeadphone.Arctis7_2017_ProductID = 0x1260;
    KnownHeadphone.Arctis7_Plus_2022_ProductID = 0x220E;
    KnownHeadphone.ArctisProProductID = 0x1252;
    KnownHeadphone.Arctis1WProductID = 0x12b3;
    KnownHeadphone.Arctis9ProductID = 0x12c2;
    KnownHeadphone.Arctis7XProductID = 0x12d7;
    KnownHeadphone.Arctis7PPlusProductID = 0x2212;
    KnownHeadphone.ArctisNova7ProductID = 0x2202;
    KnownHeadphone.ArctisNova7XProductID = 0x2206;
    return KnownHeadphone;
}());
exports.default = KnownHeadphone;
